Skip to main content
GET
/
v2.01
/
{ClientId}
/
payins
/
payment-methods
/
paypal
/
data-collection
/
{DataCollectionId}
// GET has no body parameters
{
    "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d",
    "business_name": "Jane Ltd",
    "first_interaction_date": "2012-12-09T19:14:55.277-0:00",
    "sender_phone": "(0033) 678123456",
    "receiver_create_date": "2012-12-09T19:14:55.277-0:00",
    "receiver_address_country_code": "FR",
    "rcs": "0",
    "stc": "2.0",
    "sender_create_date": "2012-12-09T19:14:55.277-0:00",
    "transaction_is_tangible": "0",
    "receiver_email": "jane@sample.com",
    "vertical": "Household goods",
    "sender_country_code": "FR",
    "txn_count_total": "34",
    "sender_address_zip": "75009",
    "sender_signup_ip": "10.220.90.20",
    "rdauuid": "7df48c7f-15ab-4330-9955-367d9d2a7890",
    "receiver_account_id": "A12345N344",
    "sender_last_name": "Doe",
    "sender_account_id": "A12345N343",
    "api_caller": "5323447257614016219",
    "sender_first_name": "Jane",
    "sender_popularity_score": "high",
    "recipient_popularity_score": "high",
    "sender_email": "jane.doe@sample.com"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

DataCollectionId
string
required
The unique identifier of the Data Collection object, returned after sending the requested data to the POST Submit data for a PayPal PayIn endpoint.

Responses

business_name
string
Format: Alphanumeric; example: Acme Corp.Business name used by the seller/recipient to register on the marketplace platform.
first_interaction_date
string
Format: ISO 8601 date format; example: 2012-12-09T 19:14:55.277-0:00Date of the first interaction between the sender and receiver on the marketplace platform. Definition of ‘interaction’ is to be defined by the marketplace platform. Examples are: first transaction attempt between sender and receiver, add friend date between sender and receiver, etc.
sender_phone
string
Format: E.123 - Telephone Number (national notation); example (042) 1123 4567Phone number (national notation) registered with the sender/buyer’s marketplace account.
receiver_create_date
string
Format: ISO 8601 date format; example: 2012-12-09T19:14:55.277-0:00Date of creation of the seller/recipient’s account on the marketplace platform.
receiver_address_country_code
string
Format: ISO Alpha-2 Country Code; example: FRSeller/recipient’s country code registered on the marketplace platform.
rcs
string
The rcs returned by PayPal.
stc
string
The stc returned by PayPal.
sender_create_date
string
Format: ISO 8601 date format; example: 2012-12-09T19:14:55.277-0:00Date of creation of the sender/buyer’s account on the marketplace platform.
transaction_is_tangible
string
Possible values: 0, 1; example: 0The seller/receiver’s transaction is for tangible rather than digital goods. If tangible, value = 1. If intangible, value = 0.
receiver_email
string
Format: E.123 – Email Address; example: john@example.comSeller/recipient’s registered email on the marketplace platform.
vertical
string
Format: Alphanumeric; examples: household goods, shoes, clothing, tickets, etc.Transaction level vertical flag for the seller/receiver’s transactions that are in several verticals.
sender_country_code
string
Format: ISO Alpha-2 Country Code; example: FRCountry code registered with the sender/buyer’s marketplace account.
txn_count_total
string
Format: Integer; example: 34Total number of transactions the sender/buyer has had to date on the marketplace platform (through PayPal or otherwise).
sender_signup_ip
string
Format: IP (IPv4 / IPv6); example: 10.220.90.20IP address that the sender/buyer used to sign up on the marketplace platform.
rdauuid
string
The rdauuid returned by PayPal.
receiver_account_id
string
Format: Alphanumeric; example: A12345N343Unique identifier of the seller/recipient’s account on the marketplace platform.
sender_last_name
string
Format: Alphanumeric; example: DoeLast name registered with the sender/buyer’s marketplace account.
sender_account_id
string
Format: Alphanumeric; example: A12345N343Unique identifier of the sender/buyer account on the marketplace platform.
api_caller
string
The api_caller returned by PayPal.
sender_first_name
string
Format: Alphanumeric; example: JaneFirst name registered with the sender/buyer’s marketplace account.
sender_popularity_score
string
Possible values: high, medium, low; example: highRisk-based scoring on the sender/buyer by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
recipient_popularity_score
string
Possible values: high, medium, low; example: highRisk-based scoring on the seller/recipient by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
sender_email
string
Format: E.123 – Email Address; example: john@example.comEmail address registered with the sender/buyer’s marketplace account.
{
    "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d",
    "business_name": "Jane Ltd",
    "first_interaction_date": "2012-12-09T19:14:55.277-0:00",
    "sender_phone": "(0033) 678123456",
    "receiver_create_date": "2012-12-09T19:14:55.277-0:00",
    "receiver_address_country_code": "FR",
    "rcs": "0",
    "stc": "2.0",
    "sender_create_date": "2012-12-09T19:14:55.277-0:00",
    "transaction_is_tangible": "0",
    "receiver_email": "jane@sample.com",
    "vertical": "Household goods",
    "sender_country_code": "FR",
    "txn_count_total": "34",
    "sender_address_zip": "75009",
    "sender_signup_ip": "10.220.90.20",
    "rdauuid": "7df48c7f-15ab-4330-9955-367d9d2a7890",
    "receiver_account_id": "A12345N344",
    "sender_last_name": "Doe",
    "sender_account_id": "A12345N343",
    "api_caller": "5323447257614016219",
    "sender_first_name": "Jane",
    "sender_popularity_score": "high",
    "recipient_popularity_score": "high",
    "sender_email": "jane.doe@sample.com"
}
// GET has no body parameters